<?php 
/**
 * Plugin Name: Ldap Connection (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/LdapConnection
 * Description: Plugin to make a LDAP connection, which can be used by various LDAP plugins
 * Author: Martin Keckeis
 * Author URI: https://github.com/ThaDafinser/Piwik-LdapConnection
 * Version: 3.0.0
 */
?><?php
/**
 * @author https://github.com/ThaDafinser
 */
namespace Piwik\Plugins\LdapConnection;

use Piwik\Plugin;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class LdapConnection extends Plugin
{

    /**
     *
     * @see Piwik\Plugin::getListHooksRegistered
     */
    public function getListHooksRegistered()
    {
        return array(
            'Controller.UsersManager.userSettings' => 'userSettingsNotification'
        );
    }

    /**
     * Notify plugin's behaviour only to Super admins
     */
    public function userSettingsNotification()
    {
        $conn = API::getInstance()->getConnection();
        $conn->connect();
        
        $result = $conn->search('(sAMAccountName=kecmar)');
    }
}
